Page MenuHomePhabricator

Remove UnitTestsList hook subscribers, move tests to be autodiscovered for WMF extensions that have been converted to extension registration
Open, NormalPublic

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 303201 had a related patch set uploaded (by Reedy):
Remove 'UnitTestList' hook

https://gerrit.wikimedia.org/r/303201

Change 303202 had a related patch set uploaded (by Reedy):
Remove 'UnitTestList' hook

https://gerrit.wikimedia.org/r/303202

Change 303192 merged by jenkins-bot:
Remove 'UnitTestList' hook

https://gerrit.wikimedia.org/r/303192

Change 303202 merged by jenkins-bot:
Remove 'UnitTestList' hook

https://gerrit.wikimedia.org/r/303202

Change 303197 merged by jenkins-bot:
Remove 'UnitTestList' hook

https://gerrit.wikimedia.org/r/303197

Change 303196 merged by jenkins-bot:
Remove 'UnitTestList' hook

https://gerrit.wikimedia.org/r/303196

Change 303205 had a related patch set uploaded (by Reedy):
Remove 'UnitTestList' hook

https://gerrit.wikimedia.org/r/303205

Change 303207 had a related patch set uploaded (by Reedy):
Remove 'UnitTestList' hook

https://gerrit.wikimedia.org/r/303207

Change 303190 merged by jenkins-bot:
Remove 'UnitTestList' hook

https://gerrit.wikimedia.org/r/303190

Change 303187 merged by jenkins-bot:
Remove 'UnitTestList' hook

https://gerrit.wikimedia.org/r/303187

Change 303189 merged by jenkins-bot:
Remove 'UnitTestList' hook

https://gerrit.wikimedia.org/r/303189

Change 303186 merged by jenkins-bot:
Remove 'UnitTestList' hook

https://gerrit.wikimedia.org/r/303186

Change 303185 merged by jenkins-bot:
Remove 'UnitTestList' hook

https://gerrit.wikimedia.org/r/303185

Change 303209 had a related patch set uploaded (by Reedy):
Remove 'UnitTestList' hook

https://gerrit.wikimedia.org/r/303209

Change 303210 had a related patch set uploaded (by Reedy):
Remove 'UnitTestList' hook

https://gerrit.wikimedia.org/r/303210

Change 303211 had a related patch set uploaded (by Reedy):
Remove 'UnitTestList' hook

https://gerrit.wikimedia.org/r/303211

Change 303212 had a related patch set uploaded (by Reedy):
Remove 'UnitTestList' hook

https://gerrit.wikimedia.org/r/303212

Change 303213 had a related patch set uploaded (by Reedy):
Remove 'UnitTestList' hook

https://gerrit.wikimedia.org/r/303213

Change 303214 had a related patch set uploaded (by Reedy):
Remove 'UnitTestList' hook

https://gerrit.wikimedia.org/r/303214

Change 303215 had a related patch set uploaded (by Reedy):
Remove 'UnitTestList' hook

https://gerrit.wikimedia.org/r/303215

Change 303216 had a related patch set uploaded (by Reedy):
Remove 'UnitTestList' hook

https://gerrit.wikimedia.org/r/303216

Change 303217 had a related patch set uploaded (by Reedy):
Remove 'UnitTestList' hook

https://gerrit.wikimedia.org/r/303217

Change 303214 merged by jenkins-bot:
Remove 'UnitTestList' hook

https://gerrit.wikimedia.org/r/303214

Change 303205 merged by jenkins-bot:
Remove 'UnitTestList' hook

https://gerrit.wikimedia.org/r/303205

Change 303207 merged by jenkins-bot:
Remove 'UnitTestList' hook

https://gerrit.wikimedia.org/r/303207

Change 303211 merged by jenkins-bot:
Remove 'UnitTestList' hook

https://gerrit.wikimedia.org/r/303211

Change 303212 merged by jenkins-bot:
Remove 'UnitTestList' hook

https://gerrit.wikimedia.org/r/303212

Change 303215 merged by jenkins-bot:
Remove 'UnitTestList' hook

https://gerrit.wikimedia.org/r/303215

Change 303213 merged by jenkins-bot:
Remove 'UnitTestList' hook

https://gerrit.wikimedia.org/r/303213

Change 303216 merged by jenkins-bot:
Remove 'UnitTestList' hook

https://gerrit.wikimedia.org/r/303216

Change 303217 merged by jenkins-bot:
Remove 'UnitTestList' hook

https://gerrit.wikimedia.org/r/303217

Change 303209 merged by jenkins-bot:
Remove 'UnitTestList' hook

https://gerrit.wikimedia.org/r/303209

Change 303249 had a related patch set uploaded (by Reedy):
Remove 'UnitTestList' hook

https://gerrit.wikimedia.org/r/303249

Change 303260 had a related patch set uploaded (by Reedy):
Remove 'UnitTestList' hook

https://gerrit.wikimedia.org/r/303260

Change 303261 had a related patch set uploaded (by Reedy):
Remove 'UnitTestList' hook

https://gerrit.wikimedia.org/r/303261

Change 303200 merged by jenkins-bot:
Remove 'UnitTestList' hook

https://gerrit.wikimedia.org/r/303200

Change 303249 merged by jenkins-bot:
Remove 'UnitTestList' hook

https://gerrit.wikimedia.org/r/303249

Change 303260 merged by jenkins-bot:
Remove 'UnitTestList' hook

https://gerrit.wikimedia.org/r/303260

Change 303268 had a related patch set uploaded (by Reedy):
Remove 'UnitTestList' hook

https://gerrit.wikimedia.org/r/303268

Change 303268 merged by jenkins-bot:
Remove 'UnitTestList' hook

https://gerrit.wikimedia.org/r/303268

Change 262711 had a related patch set uploaded (by Reedy):
Add extension.json, empty PHP entry point

https://gerrit.wikimedia.org/r/262711

Change 303210 merged by jenkins-bot:
Remove 'UnitTestList' hook

https://gerrit.wikimedia.org/r/303210

Change 262711 merged by jenkins-bot:
Add extension.json, empty PHP entry point

https://gerrit.wikimedia.org/r/262711

Change 304120 had a related patch set uploaded (by Reedy):
Remove UnitTestList hook subscriber

https://gerrit.wikimedia.org/r/304120

Change 304142 had a related patch set uploaded (by Reedy):
Remove 'UnitTestList' hook

https://gerrit.wikimedia.org/r/304142

Change 303201 merged by jenkins-bot:
Remove 'UnitTestList' hook

https://gerrit.wikimedia.org/r/303201

Change 303191 merged by jenkins-bot:
Remove 'UnitTestList' hook

https://gerrit.wikimedia.org/r/303191

Change 313653 had a related patch set uploaded (by Reedy):
Remove UnitTestsList hook subscriber

https://gerrit.wikimedia.org/r/313653

Reedy updated the task description. (Show Details)Oct 1 2016, 9:58 AM

Change 313654 had a related patch set uploaded (by Reedy):
Remove UnitTestsList hook subscriber

https://gerrit.wikimedia.org/r/313654

Change 313655 had a related patch set uploaded (by Reedy):
Remove UnitTestsList hook subscriber

https://gerrit.wikimedia.org/r/313655

Change 313656 had a related patch set uploaded (by Reedy):
Remove UnitTestsList hook subscriber

https://gerrit.wikimedia.org/r/313656

Change 313655 abandoned by Reedy:
Remove UnitTestsList hook subscriber

Reason:
Duped

https://gerrit.wikimedia.org/r/313655

Change 304142 merged by jenkins-bot:
Remove 'UnitTestList' hook

https://gerrit.wikimedia.org/r/304142

Change 303188 merged by jenkins-bot:
Remove 'UnitTestList' hook

https://gerrit.wikimedia.org/r/303188

Change 313656 merged by jenkins-bot:
Remove UnitTestsList hook subscriber

https://gerrit.wikimedia.org/r/313656

Change 304120 abandoned by Reedy:
Remove UnitTestList hook subscriber

Reason:
This will need redoing when it eventually happens

https://gerrit.wikimedia.org/r/304120

Krinkle moved this task from Inbox to PHPUnit on the MediaWiki-Core-Testing board.Jul 7 2017, 5:12 AM

If someone edited the task description and provided clearer steps what's to do here, could this be Google-Code-in-2017 tasks if someone mentored?

Change 313653 merged by jenkins-bot:
[mediawiki/extensions/OAuth@master] Remove UnitTestsList hook subscriber

https://gerrit.wikimedia.org/r/313653

Jdforrester-WMF added a subscriber: Jdforrester-WMF.

If someone edited the task description and provided clearer steps what's to do here, could this be Google-Code-in-2017 tasks if someone mentored?

At this point I don't think it's worth it (just one deployed extension left).

Reedy updated the task description. (Show Details)Nov 28 2017, 12:16 AM
Jdforrester-WMF updated the task description. (Show Details)

Change 313654 merged by jenkins-bot:
[mediawiki/extensions/BounceHandler@master] Remove UnitTestsList hook subscriber

https://gerrit.wikimedia.org/r/313654

Change 393697 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/DonationInterface@master] Remove UnitTestsList hook subscriber

https://gerrit.wikimedia.org/r/393697

Reedy updated the task description. (Show Details)Nov 28 2017, 1:34 AM

Change 303261 merged by jenkins-bot:
[mediawiki/extensions/CentralNotice@master] Remove 'UnitTestList' hook

https://gerrit.wikimedia.org/r/303261

Change 393697 abandoned by Krinkle:
Remove UnitTestsList hook subscriber

Reason:
Superseded by Ie34bac44d7708161d00c47e16b5c092f9585916f

https://gerrit.wikimedia.org/r/393697

Krinkle updated the task description. (Show Details)May 25 2018, 10:08 PM

Change 511313 had a related patch set uploaded (by TheDJ; owner: TheDJ):
[mediawiki/extensions/TimedMediaHandler@master] Remove 'UnitTestList' hook

https://gerrit.wikimedia.org/r/511313

Change 511313 merged by jenkins-bot:
[mediawiki/extensions/TimedMediaHandler@master] Remove 'UnitTestList' hook

https://gerrit.wikimedia.org/r/511313

TheDJ updated the task description. (Show Details)Sun, May 19, 2:39 PM
Reedy updated the task description. (Show Details)Tue, May 21, 3:25 PM